VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::Service::Operation Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::Service::Operation:

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::Service::Operation` interface provides methods to retrieve authentication information of an operation element.

An operation element is said to contain authentication information if authentication schemes are specified in the authentication definition file.

Constant String::RESOURCE_TYPE # Resource type for operation.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::Service::Operation::get | ( |  | ) |

Retrieves the authentication information about an operation element corresponding to `operation_id` contained in the service element corresponding to `service_id` .

Parameters

  service_id | [REQUIRED] Identifier of the service element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.service). . The value must be str.
  operation_id | [REQUIRED] Identifier of the operation element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.operation). . The value must be str.

Return values

  The | class Com::Vmware::Vapi::Metadata::Authentication::OperationInfo instance that corresponds to `operation_id` . The return type will be Com::Vmware::Vapi::Metadata::Authentication::OperationInfo

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the service element associated with `service_id` does not exist.
  Com::Vmware::Vapi::Std::Errors::NotFound | if the operation element associated with `operation_id` does not exist.
  Com::Vmware::Vapi::Std::Errors::NotFound | if the operation element associated with `operation_id` does not have any authentication information.

Code:
click to view
# Number of lines of code in get: 11
sub get {
my ($self, %args) = @_;
my $service_id = $args {service_id};
my $operation_id = $args {operation_id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Authentication::Service::Operation::list | ( |  | ) |

Returns the identifiers for the operation elements contained in the service element corresponding to `service_id` that have authentication information.

Parameters

  service_id | [REQUIRED] Identifier of the service element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.service). . The value must be str.

Return values

  List | of identifiers for the operation elements contained in the service element that have authentication information. The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.operation). The return type will be Array of str

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the service element associated with `service_id` does not have any operation elements that have authentication information.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $service_id = $args {service_id};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Authentication::Service::Operation::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/Service/Operation.pm